Package tigase.xmpp

## Enum SpamReportsConsumer.ReportType

- java.lang.Object
- - java.lang.Enum<SpamReportsConsumer.ReportType>
  - - tigase.xmpp.SpamReportsConsumer.ReportType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SpamReportsConsumer.ReportType>`
  Enclosing interface:
    SpamReportsConsumer

      public static enum SpamReportsConsumer.ReportType
      extends java.lang.Enum<SpamReportsConsumer.ReportType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `abuse` |
    `spam` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpamReportsConsumer.ReportType` | `fromElement​(Element element)` |
    `static SpamReportsConsumer.ReportType` | `fromReport​(Element report)` |
    `static SpamReportsConsumer.ReportType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SpamReportsConsumer.ReportType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### abuse

          public static final SpamReportsConsumer.ReportType abuse

    - #### spam

          public static final SpamReportsConsumer.ReportType spam

  - ### Method Detail

    - #### values

          public static SpamReportsConsumer.ReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpamReportsConsumer.ReportType c : SpamReportsConsumer.ReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpamReportsConsumer.ReportType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromReport

          public static SpamReportsConsumer.ReportType fromReport​(Element report)

    - #### fromElement

          public static SpamReportsConsumer.ReportType fromElement​(Element element)